#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	procmail
Version		:	3.22
Release		:	14.8.0.0%{?dist}
Summary		:	Mail processing program
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ or Artistic
URL		:	http://www.ring.gr.jp/archives/net/mail/procmail 

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-consolidated_fixes-1.patch
Patch1		:	%{name}-%{version}-rhconfig.patch

#-----------------------------------------------------------------------------
Requires	:	dovecot
#-----------------------------------------------------------------------------
%description
The procmail mail processing program. (v3.22 2001/09/10)

Can be used to create mail-servers, mailing lists, sort your incoming mail
into separate folders/files (real convenient when subscribing to one or more
mailing lists or for prioritising your mail), preprocess your mail, start
any programs upon mail arrival (e.g. to generate different chimes on your
workstation for different types of mail) or selectively forward certain
incoming mail automatically to someone.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README examples
%config (noreplace) %attr(0555,root,root) %{_sysconfdir}/%{name}rc
%attr(6755,root,root) %{_sbindir}/%{name}
%attr(2755,root,root) %{_sbindir}/lockfile
%dir %attr(0770,root,root) %{_var}/spool/mail
%{_bindir}/%{name}
%{_bindir}/formail
%{_bindir}/mailstat
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

sed -i							\
  -e 's/getline/get_line/'				\
  src/*.[ch]

sed -i							\
  -s "s:^/\*#define DEFsendmail:#define DEFsendmail:"	\
  config.h

sed -i							\
  -s "s:^#LOCKINGTEST=/tmp:LOCKINGTEST=/tmp:"		\
  Makefile

%define _smp_mflags -j1
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	BASENAME=%{buildroot}%{_prefix}			\
	MANDIR=%{buildroot}%{_mandir}			\
	install						\

#moving critical binary within sbin
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mv}							\
	%{buildroot}%{_bindir}/{%{name},lockfile}	\
	%{buildroot}%{_sbindir}
%{__ln_s}						\
	../sbin/%{name}					\
	%{buildroot}%{_bindir}/%{name}
	

#creating spool directory
%{__mkdir_p} %{buildroot}%{_var}/spool/mail

#installing procmailrc 
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} -a 						\
	%{name}-ok_addon/%{name}rc			\
	%{buildroot}%{_sysconfdir}


#-----------------------------------------------------------------------------
%changelog
